Loading...
Searching...
No Matches
pcl::GradientXY Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, and the intensity value. More...

`#include <pcl/recognition/point_types.h>`

## Public Member Functions

PCL_MAKE_ALIGNED_OPERATOR_NEW bool | operator< (const GradientXY &rhs) const

## Public Attributes

union { |
struct { |
float x |
float y |
float angle |
float magnitude |
} |
float data [4] |
}; |

## Detailed Description

A point structure representing Euclidean xyz coordinates, and the intensity value.

Definition at line 52 of file point_types.h.

## Member Function Documentation

## operator<()

PCL_MAKE_ALIGNED_OPERATOR_NEW bool pcl::GradientXY::operator< | ( | const GradientXY & | rhs | ) | const

inline

Definition at line 67 of file point_types.h.

References magnitude.

## Member Data Documentation

## [union]

union { ... } pcl::GradientXY

## angle

float pcl::GradientXY::angle

Definition at line 60 of file point_types.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradients(), and pcl::ColorGradientModality< PointInT >::computeMaxColorGradientsSobel().

## data

float pcl::GradientXY::data[4]

Definition at line 63 of file point_types.h.

## magnitude

float pcl::GradientXY::magnitude

Definition at line 61 of file point_types.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradientsSobel(), pcl::ColorGradientModality< PointInT >::extractAllFeatures(), pcl::ColorGradientModality< PointInT >::extractFeatures(), pcl::ColorGradientDOTModality< PointInT >::Candidate::operator<(), pcl::ColorGradientModality< PointInT >::Candidate::operator<(), operator<(), and pcl::operator<<().

## x

float pcl::GradientXY::x

Definition at line 58 of file point_types.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradientsSobel(), and pcl::operator<<().

## y

float pcl::GradientXY::y

Definition at line 59 of file point_types.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradients(), pcl::ColorGradientModality< PointInT >::computeMaxColorGradientsSobel(), and pcl::operator<<().

The documentation for this struct was generated from the following file:

- pcl/recognition/point_types.h